Bug 370471 - [RFE] Add support for Wacom PTZ-431W to kernel
[RFE] Add support for Wacom PTZ-431W to kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Aristeu Rozanski
Martin Jenner
:
Depends On: 253088
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 17:03 EST by Charlie Wyse
Modified: 2009-01-20 15:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
01-add_support_for_intuos3_4x6.patch (3.99 KB, patch)
2008-08-19 18:24 EDT, Aristeu Rozanski
no flags Details | Diff
02-fix_distance_values.patch (7.94 KB, patch)
2008-08-19 18:25 EDT, Aristeu Rozanski
no flags Details | Diff
03-add_support_for_cintiq20wsx (3.69 KB, patch)
2008-08-19 18:26 EDT, Aristeu Rozanski
no flags Details | Diff

  None (edit)
Comment 1 Charlie Wyse 2007-11-07 17:04:18 EST
I just cloned this bug to mark that it needs to be done for 5.0/5.1 as well.
Comment 2 Aristeu Rozanski 2007-12-18 10:47:11 EST
Charlie, test packages on:
http://people.redhat.com/arozansk/wacom_rhel5/
Comment 3 Aristeu Rozanski 2008-01-07 11:38:31 EST
Charlie, any updates on this BZ#?
Comment 4 Charlie Wyse 2008-01-07 19:51:35 EST
I have not had the hardware to test anything since before thanksgiving.  I'll
check back with the staff here and see if they will give me the hardware to verify.
Comment 5 Charlie Wyse 2008-01-29 14:53:27 EST
Okay, so I downloaded the 49 rhel5 kernel and I had the same problems I did in
RHEL4 with the two kernels I tested.  Nothing seems to work in Absolute mode. 
Is there possibly some options I am not setting besides the Optiosn mode
absolute line in xorg.conf?
Comment 8 Aristeu Rozanski 2008-02-25 13:27:07 EST
(In reply to comment #6)
> Sorry, I seem to have made a mistake.  When they gave me an intuos they gave me
> a PTZ-630.  So that is what I was testing on and probably should not be in this
> ticket.  Since they look the same should I open a new ticket for absolute mode
> on that device, or are they close enough that I can still use it for this
> ticket?  What's your oppinion on that matter?
yes, please.

Comment 9 Aristeu Rozanski 2008-02-25 13:28:47 EST
(In reply to comment #7)
> I played around with the wacom Xorg.conf file and have absolute mode working...
> to an extent.  I can put the stylus in a corner and it seems to catch.  But if I
> move the stylus to the opposite corner it will make it half way.  However if I
> lift the stylus and the put it back down on the opposite side it jumps over. 
> Have you expereinced anything like this on your end?
No. The company has one Intuos3 6x8" (that appears to be the one you have) and
I've been testing it for all wacom releases. No problem so far.
Is it a intuos3 6x8"?
Comment 10 Aristeu Rozanski 2008-05-12 15:31:35 EDT
Charlie, any news?
Comment 11 RHEL Product and Program Management 2008-05-13 17:01:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 15 Charlie Wyse 2008-08-18 21:03:47 EDT
Okay, just tried it out one a machine using the intuos 6x8.  I'm still seeing the issue where it seems to only go half way a crossed the screen.  Then if you move it off and back on to the other side, it jumps over there and will only move half way back.  We have a few other people seeing this too.  Here is the versions I'm using:

cwyse@magic [:~] % rpm -q linuxwacom                                 [18:01:38]
linuxwacom-0.7.8.3-3.el5
linuxwacom-0.7.8.3-3.el5
cwyse@magic [:~] % rpm -q wdaemon                                    [18:01:42]
wdaemon-0.14-1
wdaemon-0.14-1
cwyse@magic [:~] % uname -r                                          [18:01:44]
2.6.18-89.el5.wacom

Also here is the relevant information from one of our xorg.confs
Section "InputDevice"
    Identifier "wacom"
    Driver "wacom"
    Option "Type" "stylus"
    Option "Tilt" "on"
    Option "USB" "on"
    Option "Device" "/dev/input/uinput-devices/uinput-wacom-intuos3-6x8-tablet"
    Option "Mode" "Absolute"
    Option "Threshold" "20"
    Option "Twinview" "horizontal"
EndSection
Section "InputDevice"
    Identifier "eraser"
    Driver "wacom"
    Option "Type" "eraser"
    Option "USB" "on"
    Option "Device" "/dev/input/uinput-devices/uinput-wacom-intuos3-6x8-tablet"
    Option "Mode" "Absolute"
    Option "Threshold" "20"
    Option "Twinview" "horizontal"
EndSection
Section "InputDevice"
    Identifier "cursor"
    Driver "wacom"
    Option "Type" "cursor"
    Option "USB" "on"
    Option "Device" "/dev/input/uinput-devices/uinput-wacom-intuos3-6x8-tablet"
    Option "Mode" "Absolute"
    Option "Threshold" "20"
    Option "Twinview" "horizontal"
EndSection
Section "InputDevice"
  Identifier "pad"
  Driver "wacom"
  Option "Type" "pad"
    Option "USB" "on"
    Option "Device" "/dev/input/uinput-devices/uinput-wacom-intuos3-6x8-tablet"
EndSection
Section "ServerLayout"
    Identifier "AGP"
    Screen "Screen AGP"
    InputDevice "Mouse0" "CorePointer"
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "pad"
    InputDevice "eraser" "AlwaysCore"
    InputDevice "wacom" "AlwaysCore"
    InputDevice "cursor" "AlwaysCore"
EndSection
Comment 16 Aristeu Rozanski 2008-08-19 07:31:08 EDT
(In reply to comment #15)
Charlie,
> Okay, just tried it out one a machine using the intuos 6x8.  I'm still seeing
> the issue where it seems to only go half way a crossed the screen.  Then if you
> move it off and back on to the other side, it jumps over there and will only
> move half way back.  We have a few other people seeing this too.  Here is the
> versions I'm using:
>     Option "Mode" "Absolute"
>     Option "Threshold" "20"
>     Option "Twinview" "horizontal"
are you using the nvidia driver and two monitors? "Twinview" is an option used
for that.
Comment 17 Charlie Wyse 2008-08-19 17:20:31 EDT
Gah, I realized the previous work was on a different wacom, why do they all look the same?  So I got the PTZ-431W and I can't even get it to create a /dev/iput/wacom-tablets device.
Comment 18 Aristeu Rozanski 2008-08-19 17:26:19 EDT
Charlie, what's the product id? (lsusb -n)
Comment 19 Charlie Wyse 2008-08-19 17:38:56 EDT
-n is not available in my lsusb.  But will a -v give you the info?

Bus 002 Device 002: ID 056a:00b7 Wacom Co., Ltd 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x056a Wacom Co., Ltd
  idProduct          0x00b7 
  bcdDevice            1.16
  iManufacturer           1 
  iProduct                2 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           34
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
    MaxPower              300mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.00
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     170
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000a  1x 10 bytes
        bInterval               4
Comment 20 Charlie Wyse 2008-08-19 17:40:20 EDT
I see there is already an existing udev for the device.  But it doesn't seem to create the device.

BUS=="usb", KERNEL=="event*", SYSFS{idVendor}=="056a", SYSFS{idProduct}=="00b7", SYMLINK+="input/wacom-tablets/intuos3-4x6-tablet%e input/wacom-tablets/intuos3-4x6-tablet-%c input/wacom%e"
Comment 21 Aristeu Rozanski 2008-08-19 17:55:52 EDT
Charlie, try running "udevcontrol reload_rules", unplug and plug the tablet again.
Comment 22 Charlie Wyse 2008-08-19 18:02:38 EDT
Still got nothing.  I tried a few variations as well. pretty much ran udevcontrol after everything I did.  Still no new devices.  It doesn't even create a /dev/input/event# which I normally see with a usb input device.
Comment 23 Charlie Wyse 2008-08-19 18:07:44 EDT
Here is the only information that comes up in /var/log/messages.

ohci_hcd 0000:00:02.0: wakeup
usb 2-3: new full speed USB device using ohci_hcd and address 4
usb 2-3: configuration #1 chosen from 1 choice
Comment 24 Aristeu Rozanski 2008-08-19 18:14:29 EDT
Charlie, what's the kernel version in use?
Comment 25 Aristeu Rozanski 2008-08-19 18:17:46 EDT
found the problem. it's a typo on the kernel patch. the id is 0xBF instead of
0xB7. I can't build a kernel right now. Are you on IRC?
Comment 28 Aristeu Rozanski 2008-08-19 18:24:58 EDT
Created attachment 314588 [details]
01-add_support_for_intuos3_4x6.patch
Comment 29 Aristeu Rozanski 2008-08-19 18:25:30 EDT
Created attachment 314589 [details]
02-fix_distance_values.patch
Comment 30 Aristeu Rozanski 2008-08-19 18:26:00 EDT
Created attachment 314590 [details]
03-add_support_for_cintiq20wsx
Comment 31 Aristeu Rozanski 2008-08-19 18:26:31 EDT
updated patches attached.
Comment 34 Charlie Wyse 2008-08-19 20:41:31 EDT
Tested the updates on the PTZ-431W and everything looks good.
Comment 36 Don Zickus 2008-09-10 16:12:56 EDT
in kernel-2.6.18-110.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 39 errata-xmlrpc 2009-01-20 15:07:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.